module.exports = {
	log: {
		directory: () => {
			return global['__dirname'] + "/logs/"
		},
		filename: () => {
			return (new Date()).toISOString().substr(0, 10) + ".log"
		}
	},
	web: {
		host: "*",
		port: 8081,
		poweredBy: 'baseApp',
		rootUrl: '/', // '/', '/SSObaseApp/'
		doubleSlashCheck: true, // replacing // with /
		sessionKey: require('crypto').randomBytes(32).toString('hex'),
		cookieKey: require('crypto').randomBytes(32).toString('hex'),
		rememberMeMaxAge: 1000*60*60 // two weeks (milliseconds*seconds*minutes)
	},
	sso: {
		authenticator: "http://localhost:8081/api/authenticate", // redirect back to this url;
		providerApi: "http://localhost:8080/api/authenticate", // sso service api
		providerUI: "http://localhost:8080/authenticate", // sso service
		appId: process.env.APP_ID, // app id
		appSecret: process.env.APP_SECRET // random token
	},
	app: {
		name: "testApp" // app name - check auth/views
	}
};
